Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.layer.source
Class LayerSourceException

    Object
      Throwable
          Exception
              IOException
                  LayerSourceException

All Implemented Interfaces:
  Serializable

    public class LayerSourceException

extends IOException

Throws when a layer source factory failed to create a layer source.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Constructor Summary
`LayerSourceException()` Creates an exception with no message.
`LayerSourceException(String message)` Creates an exception with the specified message.
`LayerSourceException(String message, Throwable cause)` Creates an exception with the specified message.
`LayerSourceException(Throwable cause)` Creates an exception with the specified cause.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LayerSourceException

    public LayerSourceException()

  Creates an exception with no message.

### LayerSourceException

    public LayerSourceException(String message)

  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### LayerSourceException

    public LayerSourceException(Throwable cause)

  Creates an exception with the specified cause.

  Parameters:
    `cause` - The cause for this exception. The cause is saved for later retrieval by the `Throwable.getCause()` method.

### LayerSourceException

    public LayerSourceException(String message,
                                Throwable cause)

  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - The cause for this exception. The cause is saved for later retrieval by the `Throwable.getCause()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.